Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.type1
Class AFMParser

    java.lang.Object
      org.apache.fop.fonts.type1.AFMParser

public class AFMParser
extends java.lang.Object

Parses the contents of a Type 1 AFM font metrics file into an object structure (`AFMFile`).

Constructor Summary
`AFMParser()` Main constructor.

Method Summary
`AFMFile` | `parse(java.io.BufferedReader reader)` Parses an AFM file from a BufferedReader.
`AFMFile` | `parse(java.io.File afmFile)` Parses an AFM file from a local file.
`AFMFile` | `parse(java.io.InputStream in)` Parses an AFM file from a stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFMParser

    public AFMParser()

  Main constructor.

Method Detail

### parse

    public AFMFile parse(java.io.File afmFile)
                  throws java.io.IOException

  Parses an AFM file from a local file.

  Parameters:
    `afmFile` - the AFM file
  Returns:
    the parsed AFM file
  Throws:
    `java.io.IOException` - if an I/O error occurs

### parse

    public AFMFile parse(java.io.InputStream in)
                  throws java.io.IOException

  Parses an AFM file from a stream.

  Parameters:
    `in` - the stream to read from
  Returns:
    the parsed AFM file
  Throws:
    `java.io.IOException` - if an I/O error occurs

### parse

    public AFMFile parse(java.io.BufferedReader reader)
                  throws java.io.IOException

  Parses an AFM file from a BufferedReader.

  Parameters:
    `reader` - the BufferedReader instance to read from
  Returns:
    the parsed AFM file
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.